Summary: X conf file generator for the X Window System.
Name: Xautoconfig
%define version 0.23
Version: %{version}
Release: 2.ydl.5
Patch0: Xautoconfig.c.patch
Patch1: Xautoconfig.pci.c.patch
Patch2: Xautoconfig-mods.patch
Patch3: Xautoconfig-0.23-modeline.patch
Patch4: Xautoconfig-0.23-pm112.patch
Patch5: Xautoconfig-0.23-xorgfonts.patch
Patch6: Xautoconfig-0.23-ps3.patch
Patch7: Xautoconfig-0.23-macid.patch
Patch8: Xautoconfig-0.23-pm11.patch
Patch9: Xautoconfig-0.23-nodpms.patch

License: distributable
Group: User Interface/X Hardware Support
Source: ftp://www.penguinppc.org/projects/xautocfg/%{name}-%{version}.tar.gz
Requires: xorg-x11-server-Xorg, xorg-x11-xfs, kbd
#Requires: system-config-keyboard, system-config-mouse
BuildRoot: /var/tmp/%{name}-root

%description
Xautoconfig generates a valid xorg.conf file under any hardware
setup that is using the Linux framebuffer.

%prep
%setup
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m755 Xautoconfig $RPM_BUILD_ROOT/usr/bin/Xautoconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
/usr/bin/Xautoconfig


%changelog
* Fri Oct 7 2005 Owen Stampflee <ostampflee@terrasoftsolutions.com>
- dont write modes, X works better without 'em

* Wed Sep 14 2005 Dan Burcaw <dan@ydl.net>
- no longer try to load glx & record modules
- updated spec summary & description for xorg

* Thu Sep  8 2005 Owen Stampflee <ostampflee@terrasoftsolutions.com>
- re-add the old patch to write xorg.conf

* Wed Aug 10 2005 Tim Renner <trenner@terrasoftsolutions.com>
- Fix byte/word problem in pci.c w/ pci.c.patch

* Mon Sep 27 2004 Owen Stampflee <ostampflee@terrasoftsolutions.com>
- fix breakage

* Sun Sep 26 2004 Dan Burcaw <dan@ydl.net>
- 0.23

* Fri Aug 29 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.22

* Sun Mar 16 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.21

* Wed Mar 12 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.20

* Mon Mar 10 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- a few more anaconda cleanups

* Sat Mar 08 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- a few more anaconda cleanups

* Fri Mar 07 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- write config /tmp/XF86Config.test in anaconda mode

* Mon Mar 03 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.19 release

* Sun Mar 02 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.18 release

* Sat Feb 22 2003  Dan Burcaw <dburcaw@terrasoftsolutions.com>
- fixed requires mouseconfig/kbdconfig -> r-c-mouse/keyboard

* Mon Jan 27 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- minor cosmetic fix

* Sat Oct 26 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.17 release

* Thu Oct 17 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- don't provide Xconfigurator; conflicts with redhat-config-xfree86

* Sat Oct 12 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- provide anaconda subpackage for YDL

* Fri Oct 11 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 0.16 release
- don't ship rc script or perl script.
- various changes, see ChangeLog

* Sun Feb 24 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update to 0.15 release

* Thu Oct 11 2001 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- 0.14: last merge from Rini before maintainer change.

* Wed Dec 20 2000 Tom Rini <trini@kernel.crashing.org>
- Add Xautoconfig.initd

* Sun Dec 10 2000 Tom Rini <trini@kernel.crashing.org>
- Add Xautoconfig_wrapper.pl

* Fri Nov 24 2000 Tom Rini <trini@kernel.crashing.org>
- Updates for Xautoconfig{3,4}

* Wed Aug 04 1999 Tom Rini <trini@kernel.crashing.org>
- created
